//CSimpleGaugeSlider.h - A simple gauge-style slider

#ifndef CSIMPLEGAUGESLIDER_H_
#define CSIMPLEGAUGESLIDER_H_

#include "vstcontrols.h"

class CSimpleGaugeSlider : public CSlider
{
  public:
	CSimpleGaugeSlider();
	CSimpleGaugeSlider(CRect &size,
					   CControlListener *listener,
					   long tag,
					   int style,	//(kBottom,kRight,kTop,kLeft,kHorizontal,kVertical)
					   CColor bgcol,
					   CColor fgcol);

	virtual void Create(CRect &size,
					    CControlListener *listener,
					    long tag,
					    int style,	//(kBottom,kRight,kTop,kLeft,kHorizontal,kVertical)
					    CColor bgcol,
					    CColor fgcol);

	virtual void draw(CDrawContext*);
	virtual void mouse(CDrawContext *pContext, CPoint &where);

	virtual bool attached (CView *parent) {return true;};
	virtual bool removed (CView *parent) {return true;};

	virtual void SetColours(CColor bgcol, CColor fgcol, CColor frcol) {BackColour = bgcol; ForeColour = fgcol; FrameColour = frcol;};
  protected:
	CColor BackColour;
	CColor ForeColour;
	CColor FrameColour;
};

#endif