//CSimpleKeyboardSliderBP.h - A keyboard widget made to display an editable selected range of keys

#ifndef CSIMPLEKEYBOARDSLIDERBP_H_
#define CSIMPLEKEYBOARDSLIDERBP_H_

#include "CSimpleKeyboardSlider.h"

class CSimpleKeyboardSliderBP : public CSimpleKeyboardSlider
{
  public:
	CSimpleKeyboardSliderBP(CRect &size,
						    CControlListener *listener,
						    long tag1,
							long tag2,
						    CColor bgcol,
						    CColor fgcol,
						    int numoctaves = 1);
	virtual ~CSimpleKeyboardSliderBP() {};

	virtual void SetValue1(float val);
	virtual void SetValue2(float val);

	virtual float GetValue1() {return Value1;};
	virtual float GetValue2() {return Value2;};

	virtual bool attached(CView *parent);

	//virtual void draw(CDrawContext*);
	virtual void mouse(CDrawContext *pContext, CPoint &where);
  protected:
	float Value1, Value2;
	long Tag1, Tag2;
};

#endif