//CSimpleLabel.cpp - Simple static text label

#include "CSimpleLabel.h"

CSimpleLabel::CSimpleLabel():
			  CParamDisplay(CRect(0, 0, 0, 0))
{
}

CSimpleLabel::CSimpleLabel(CRect &size,
						   char *text,
						   CColor fgcol):
			 CParamDisplay(size)
{
	setFontColor(fgcol);
	//setFont(kNormalFontBig);

	setText(text);
}

void CSimpleLabel::Create(CRect &size,
						   char *text,
						   CColor fgcol)
{
	this->size = size;

	setFontColor(fgcol);
	//setFont(kNormalFontBig);

	setText(text);
}

//------------------------------------------------------------------------
void CSimpleLabel::draw(CDrawContext *pContext)
{
	pContext->setFont(fontID);

	pContext->setFontColor(fontColor);
	pContext->drawString(label, size, false, kLeftText);
}

//------------------------------------------------------------------------
void CSimpleLabel::setText(char *text)
{
	if(text)
		strcpy(label, text);
	setDirty();
}