//CSimpleParamDisplay.h - Simple (editable) Parameter Display

#ifndef CSIMPLEPARAMDISPLAY_H_
#define CSIMPLEPARAMDISPLAY_H_

#include "vstcontrols.h"

class CSimpleParamDisplay : public CTextEdit
{
  public:
	CSimpleParamDisplay();
	CSimpleParamDisplay(CRect &size,
						CControlListener *listener,
						long tag,
						CColor bgcol,
						CColor fgcol);

	virtual void Create(CRect &size,
						CControlListener *listener,
						long tag,
						CColor bgcol,
						CColor fgcol);

	virtual void SetColours(CColor bgcol, CColor fgcol, CColor frcol);
};

#endif