//CSimpleTextButton.h - Displays text which alters when you click on it (can have any number of text entries)

#ifndef CSIMPLETEXTBUTTON_H_
#define CSIMPLETEXTBUTTON_H_

#include "vstcontrols.h"

class CSimpleTextButton : public CControl
{
  public:
	CSimpleTextButton();
	CSimpleTextButton(CRect &size,
					  CControlListener *listener,
					  long tag,
					  char texts[][32],
					  long numtext,
					  CColor bgcol,
					  CColor fgcol);
	void Create(CRect &size,
					  CControlListener *listener,
					  long tag,
					  char texts[][32],
					  long numtext,
					  CColor bgcol,
					  CColor fgcol);
	virtual ~CSimpleTextButton();

	virtual void draw(CDrawContext *pContext);

	virtual void mouse(CDrawContext *pContext, CPoint &where);

	virtual void  setValue (float val) { value = val; Index = (int)((val-0.0001f) * (float)NumText);}
	virtual void SetColours(CColor bgcol, CColor fgcol, CColor frcol) {BackColour = bgcol; ForeColour = fgcol; FrameColour = frcol;};
  protected:
	void drawText(CDrawContext *pContext, char *string);

	CColor BackColour;
	CColor ForeColour;
	CColor FrameColour;

	char **Text;
	long NumText;

	long Index;
};

#endif