//CSimpleLamp.h - A simple (read-only) lamp class

#ifndef CSIMPLELAMP_H_
#define CSIMPLELAMP_H_

#include "vstcontrols.h"

class CSimpleLamp : public CControl
{
  public:
	CSimpleLamp(CRect &size,
				CControlListener *listener,
				long tag,
				CColor bgcol,
				CColor fgcol);

	virtual void draw(CDrawContext *pContext);
  protected:
	CColor BackColour;
	CColor ForeColour;
	CColor FrameColour;
};

#endif