//CSimpleTitle.c - Simple static text label

#include "CSimpleTitle.h"

CSimpleTitle::CSimpleTitle(CRect &size,
						   char *text,
						   CColor fgcol):
			  CSimpleLabel(size,
						   text,
						   fgcol)
{
	setFont(kNormalFontBig);
}

void CSimpleTitle::Create(CRect &size,
						   char *text,
						   CColor fgcol)
{
	CSimpleLabel::Create(size, text, fgcol);

	setFont(kNormalFontBig);
}

//------------------------------------------------------------------------
void CSimpleTitle::draw(CDrawContext *pContext)
{
	pContext->setFont(fontID, 0, kBoldFace);

	pContext->setFontColor(fontColor);
	pContext->drawString(label, size, false, kLeftText);
}